> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gp.scale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Chat Completion Models



## OpenAPI

````yaml https://api.dev-sgp.scale.com/openapi-versions/v5/openapi.json get /v5/chat/completions/models
openapi: 3.1.0
info:
  title: EGP API V5
  description: >-
    This is the parent API for all EGP APIs. If you are looking for the EGP API,
    please go to https://api.egp.scale.com/docs.
  contact:
    name: Scale Generative AI Platform
    url: https://scale.com/genai-platform
  version: 0.1.0
servers:
  - url: https://api.egp.scale.com
security: []
paths:
  /v5/chat/completions/models:
    get:
      tags:
        - Inference
      summary: List Chat Completion Models
      operationId: GET-V5-/v5/chat/completions/models
      parameters:
        - name: model_vendor
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/InferenceModelVendor'
              - type: 'null'
            title: Model Vendor
        - name: starting_after
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Starting After
        - name: ending_before
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Ending Before
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 10000
            minimum: 1
            default: 100
            title: Limit
        - name: sort_by
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Sort By
        - name: sort_order
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/SortOrder'
              - type: 'null'
            default: asc
            title: Sort Order
        - name: x-selected-account-id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Account ID Header
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIList_ModelDefinition_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    InferenceModelVendor:
      type: string
      enum:
        - openai
        - cohere
        - vertex_ai
        - anthropic
        - azure
        - gemini
        - launch
        - llmengine
        - model_zoo
        - bedrock
        - xai
        - fireworks_ai
      title: InferenceModelVendor
    SortOrder:
      type: string
      enum:
        - asc
        - desc
      title: SortOrder
    APIList_ModelDefinition_:
      properties:
        object:
          type: string
          const: list
          title: Object
          default: list
        items:
          items:
            $ref: '#/components/schemas/ModelDefinition'
          type: array
          title: Items
      type: object
      required:
        - items
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ModelDefinition:
      properties:
        model_name:
          type: string
          title: Model Name
          description: model name, for example `gpt-4o`
        model_vendor:
          $ref: '#/components/schemas/InferenceModelVendor'
          description: model vendor, for example `openai`
        model_type:
          $ref: '#/components/schemas/InferenceModelType'
          description: model type, for example `chat_completion`
        model_availability:
          $ref: '#/components/schemas/InferenceModelAvailability'
          description: >-
            model availability indicating availability status, for example
            `available`
          default: unknown
      type: object
      required:
        - model_name
        - model_vendor
        - model_type
      title: ModelDefinition
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          title: Error Type
          type: string
        input:
          title: Input
        ctx:
          type: object
          title: Context
          additionalProperties: true
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    InferenceModelType:
      type: string
      enum:
        - generic
        - completion
        - chat_completion
      title: InferenceModelType
    InferenceModelAvailability:
      type: string
      enum:
        - unknown
        - available
        - unavailable
      title: InferenceModelAvailability
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: x-api-key

````